net.dontdrinkandroot.cache.metadata

## Interface MetaData

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  BlockMetaData, SimpleMetaData

    public interface MetaData
    extends Serializable

Author:
  Philip W. Sorst <philip@sorst.net>

### Method Summary

Methods
`void` `decay()` Decreases the hitcount for use with LRU based expunge strategies.
`long` `getCreated()` Get the timestamp when the entry was created.
`long` `getExpiry()` Get the timestamp when the entry expires.
`int` `getHitCount()` Get the number of hits.
`long` `getLastAccess()` Get the timestamp when the entry was last accessed.
`long` `getMaxIdleTime()` Get the maximum time that the entry may idle (not being accessed) before being evicted (in milliseconds).
`boolean` `isExpired()` Check if the entry is expired.
`boolean` `isIdledAway()` Check if the entry has not been accessed within the idle period.
`void` `update()` Update the entry after a cache hit.

### Method Detail

#### isExpired

    boolean isExpired()

Check if the entry is expired.

#### isIdledAway

    boolean isIdledAway()

Check if the entry has not been accessed within the idle period.

#### getExpiry

    long getExpiry()

Get the timestamp when the entry expires.

#### getMaxIdleTime

    long getMaxIdleTime()

Get the maximum time that the entry may idle (not being accessed) before being evicted (in milliseconds).

#### update

    void update()

Update the entry after a cache hit.

#### getHitCount

    int getHitCount()

Get the number of hits.

#### getLastAccess

    long getLastAccess()

Get the timestamp when the entry was last accessed.

#### getCreated

    long getCreated()

Get the timestamp when the entry was created.

#### decay

    void decay()

Decreases the hitcount for use with LRU based expunge strategies.